Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface EJBTransactionRuntimeMBean

public interface EJBTransactionRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This interface contains accessor methods for all transaction runtime information collected for an EJB.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`long` | `getTransactionsCommittedTotalCount()` Returns the total number of transactions that have been committed for this EJB.
`long` | `getTransactionsRolledBackTotalCount()` Returns the total number of transactions that have been rolled back for this EJB.
`long` | `getTransactionsTimedOutTotalCount()` Returns the total number of transactions that have timed out for this EJB.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getTransactionsCommittedTotalCount

    public long getTransactionsCommittedTotalCount()

  Returns the total number of transactions that have been committed for this EJB.

  Returns:
    The transactionsCommittedTotalCount value

### getTransactionsRolledBackTotalCount

    public long getTransactionsRolledBackTotalCount()

  Returns the total number of transactions that have been rolled back for this EJB.

  Returns:
    The transactionsRolledBackTotalCount value

### getTransactionsTimedOutTotalCount

    public long getTransactionsTimedOutTotalCount()

  Returns the total number of transactions that have timed out for this EJB.

  Returns:
    The transactionsTimedOutTotalCount value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD